package com.yelochick;

import com.janetfilter.core.plugin.MyTransformer;
import com.janetfilter.core.plugin.PluginEntry;
import com.yelochick.coolrequest.VipApiTransformer;
import com.yelochick.smartinput.OsLanguageManagerProxyTransformer;

import java.util.Arrays;
import java.util.List;

public class ActivationPlugin implements PluginEntry {
    @Override
    public String getName() {
        return "ACTIVATION";
    }

    @Override
    public String getAuthor() {
        return "YeloChick";
    }

    @Override
    public List<MyTransformer> getTransformers() {
        return Arrays.asList(
                new VipApiTransformer(),
                new OsLanguageManagerProxyTransformer()
        );
    }
}
